about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--.gitignore4
-rwxr-xr-xsync11
2 files changed, 15 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..312e223
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*.orig
+*.rej
+*.o
+dmenu_run
diff --git a/sync b/sync
new file mode 100755
index 0000000..1c1dae2
--- /dev/null
+++ b/sync
@@ -0,0 +1,11 @@
+#!/bin/bash -e
+
+if ! git remote | grep -x suckless; then
+    git remote add suckless git://git.suckless.org/dmenu
+fi
+
+# back up, since we are rewriting history
+git branch "$(date +%Y%m%d%H%M%S%N)"
+
+git fetch -p suckless
+git rebase -p suckless/master